Summary:        Theme engines for GTK+ 2.0
Name:           gtk2-engines
Version:        2.8.0
Release:	3%{?dist}
License:        GPL
Group:          System Environment/Libraries
Source:         gtk-engines-%{version}.tar.bz2
Patch0:		gtk-engines-2.8.0-shadow.patch

Requires:       gtk2 >= 2.9.0
Conflicts:  	gnome-themes < 2.9.0
BuildPrereq:    gtk2-devel >= 2.2.0

URL:            ftp://ftp.gnome.org/pub/GNOME/sources/gtk-engines
BuildRoot:      /var/tmp/%{name}-%{version}-root

%description
The gtk2-engines package contains shared objects and configuration
files that implement a number of GTK+ theme engines. Theme engines
provide different looks for GTK+, some of which resemble other
toolkits or operating systems. This package is for GTK+ 2.0, 
the gtk+-engines package is for GTK+ 1.2.

%prep
%setup -q -n gtk-engines-%{version}
%patch0 -p1 -b .shadow

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# no .la, please
find $RPM_BUILD_ROOT%{_libdir} -name "*.la" | xargs rm 

# sanitize permissions
find $RPM_BUILD_ROOT%{_datadir}/themes -type d -exec chmod 755 {} \;
find $RPM_BUILD_ROOT%{_datadir}/themes -type f -name "*.png" -exec chmod 644 {} \;
find $RPM_BUILD_ROOT%{_datadir}/themes -name "gtkrc*" -perm +111 -exec chmod 644 {} \;

# no thanks
rm -rf $RPM_BUILD_ROOT%{_datadir}/themes/Redmond
rm -rf $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/2.4.0/engines/libredmond95.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644, root, root, 755)
%doc COPYING README ChangeLog

%attr (755, root, root) %{_libdir}/gtk-2.0/*/engines/*.so
%dir %{_libdir}/gtk-2.0
%dir %{_libdir}/gtk-2.0/*
%dir %{_libdir}/gtk-2.0/*/engines
%{_libdir}/pkgconfig
%{_datadir}/themes

%changelog
* Wed Nov 22 2006 Matthias Clasen <mclasen@redhat.com> - 2.8.0-3
- Avoid an assertion in the Mist engine (#216683)

* Mon Nov  6 2006 Matthias Clasen <mclasen@redhat.com> - 2.8.0-2
- Remove an unnecessary and broken Obsoletes (#214273)

* Mon Sep  4 2006 Matthias Clasen <mclasen@redhat.com> - 2.8.0-1.fc6
- Update to 2.8.0

* Mon Aug 21 2006 Matthias Clasen <mclasen@redhat.com> - 2.7.8-1.fc6
- Update to 2.7.8

* Sat Aug 12 2006 Matthias Clasen <mclasen@redhat.com> - 2.7.7-1.fc6
- Update to 2.7.7

* Wed Aug  2 2006 Matthias Clasen <mclasen@redhat.com> - 2.7.6-1.fc6
- Update to 2.7.6

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.7.5-1.1
- rebuild

* Wed Jul 12 2006 Matthias Clasen <mclasen@redhat.com> - 2.7.5-1
- Update to 2.7.5

* Fri May  5 2006 Matthias Clasen <mclasen@redhat.com> - 2.7.4-4
- Rebuild against GTK+ 2.9.0
- Require GTK+ 2.9.0

* Mon Apr 19 2006 Soren Sandmann <sandmann@redhat.com> - 2.7.4-6
- It was in fact a missing copy method. See gnome bug 338826.

* Tue Apr 18 2006 Kristian Høgsberg <krh@redhat.com> 2.7.4-5
- Bump for fc5-blig repo build.

* Mon Apr 17 2006 Soren Sandmann <sandmann@redhat.com> - 2.7.4-4
- Add missing clone method in the Clearlooks engine

* Sun Feb 26 2006 Matthias Clasen <mclasen@redhat.com> - 2.7.4-3
- Fix memory leaks in the Clearlooks engine

* Fri Feb 24 2006 Matthias Clasen <mclasen@redhat.com> - 2.7.4-2
- Backport patches to draw default buttons and
  inconsistent checkboxes

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.7.4-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.7.4-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Jan 30 2006 Matthias Clasen <mclasen@redhat.com> 2.7.4-1
- Update to 2.7.4

* Thu Jan 19 2006 Matthias Clasen <mclasen@redhat.com> 2.7.3-1
- Update to 2.7.3

* Tue Jan 10 2006 Ray Strode <rstrode@redhat.com> 2.7.2-2
- fix handle drawing bugs from F-Spot and gnome-panel
- change %%makeinstall to make install DESTDIR=...

* Tue Jan 03 2006 Matthias Clasen <mclasen@redhat.com> 2.7.2-1
- Update to 2.7.2

* Wed Dec 14 2005 Matthias Clasen <mclasen@redhat.com> 2.7.1-1
- Update to 2.7.1

* Sun Dec 11 2005 Matthias Clasen <mclasen@redhat.com> 2.7.0-2
- Backport some fixes from upstream 

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Nov 30 2005 Matthias Clasen <mclasen@redhat.com> 2.7.0-1
- Update to 2.7.0

* Wed Sep  7 2005 Matthias Clasen <mclasen@redhat.com> 2.6.5-1
- Update to 2.6.5

* Tue Aug 16 2005 Matthias Clasen <mclasen@redhat.com> 
- Rebuilt

* Thu Aug  4 2005 Matthias Clasen <mclasen@redhat.com> 2.6.4-1
- New upstream version

* Tue Jun 28 2005 Matthias Clasen <mclasen@redhat.com> 2.6.3-3
- Update Clearlooks to 0.6.1

* Fri May 20 2005 Matthias Clasen <mclasen@redhat.com> 2.6.3-2
- Don't ship Redmond

* Tue Apr 19 2005 Matthias Clasen <mclasen@redhat.com> 2.6.3-1
- Update to 2.6.3
- Clearlooks engine is now integrated

* Sun Apr 03 2005 Warren Togami <wtogami@redhat.com> 2.6.2-4
- obsolete FE3 gnome-theme-clearlooks to ensure smooth upgrade

* Tue Mar 29 2005 Matthias Clasen <mclasen@redhat.com> 2.6.2-3
- Update to Clearlooks 0.5

* Thu Mar 17 2005 Matthias Clasen <mclasen@redhat.com> 2.6.2-2
- Include the Clearlooks engine, version 0.4

* Mon Mar 14 2005 Matthias Clasen <mclasen@redhat.com> 2.6.2-1
- Update to 2.6.2

* Wed Mar  2 2005 Matthias Clasen <mclasen@redhat.com> 2.6.1-2
- Rebuild with gcc4

* Wed Feb  9 2005 Matthias Clasen <mclasen@redhat.com> 2.6.1-1
- Update to 2.6.1

* Wed Jan 26 2005 Matthias Clasen <mclasen@redhat.com> 2.6.0-1
- update to 2.6.0

* Tue Dec 21 2004 Matthias Clasen <mclasen@redhat.com> 2.2.0-6
- remove pixbuf engine which is integrated in gtk+ 2.6

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Mar 17 2004 Alex Larsson <alexl@redhat.com> 2.2.0-5
- rebuilt to get new gtk binary age

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Jan 17 2003 Owen Taylor <otaylor@redhat.com>
- Upgrade to 2.2.0 (Fixes #65985, #73475)
- Add the .pc file to the package

* Tue Dec 17 2002 Owen Taylor <otaylor@redhat.com>
- Rebuild for new GTK+

* Mon Dec  9 2002 Havoc Pennington <hp@redhat.com>
- rebuild

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 02 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu Apr 25 2002 Havoc Pennington <hp@redhat.com>
- converted to gtk2-engines package

* Mon Apr 15 2002 Alex Larsson <alexl@redhat.com>
- Added Adept-Raleigh theme

* Thu Apr 11 2002 Owen Taylor <otaylor@redhat.com>
- Fix major pixmap leak that occurred with certain theme/app 
  combinations (#59528)

* Wed Mar 13 2002 Owen Taylor <otaylor@redhat.com>
- Add gtk-hicontrast theme
- Un-automake-1.4

* Thu Jan 24 2002 Havoc Pennington <hp@redhat.com>
- remove acinclude.m4 to avoid funky libtool crackrock

* Tue Jan 22 2002 Havoc Pennington <hp@redhat.com>
- automake14

* Thu Aug  9 2001 Owen Taylor <otaylor@redhat.com>
- Install %{_sysconfdir}/skel/.gtkrc as /root/.gtkrc as well, or we 
  don't get Raleigh for our nice config tools

* Sat Jul 21 2001 Owen Taylor <otaylor@redhat.com>
- Add BuildPrereq on imlib-devel (#49478)

* Tue Jul 10 2001 Owen Taylor <otaylor@redhat.com>
- Version 0.11
- Install a %{_sysconfdir}/skel/.gtkrc

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Sat Feb 10 2001 Owen Taylor <otaylor@redhat.com>
- New, slightly improved version of Raleigh

* Sun Feb 04 2001 Owen Taylor <otaylor@redhat.com>
- Require as well as BuildPrereq a sufficiently new GTK+ package.

* Wed Jan 17 2001 Owen Taylor <otaylor@redhat.com>
- remove references to /home/raster from a couple of themes

* Tue Nov 21 2000 Owen Taylor <otaylor@redhat.com>
- Add 'Raleigh' theme

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Thu Jul 13 2000 Owen Taylor <otaylor@redhat.com>
- Go back to real gtk-engines-0.10.tar.gz instead of hosed
  cvs snapshot that someone had inserted.

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 19 2000 Dave Mason <dcm@redhat.com>
- Removed many themes to speed up control center and get rid of ugly themes

* Sat Jun 17 2000 Matt Wilson <msw@redhat.com>
- defattr files 644 and dirs 755, list attr of 755 for libraries explicitly
- use %%makeinstall
- remove spec file stupidism (defining docdir, using own prefix macro, rel, ver, etc)

* Tue May 16 2000 Dave Mason <dcm@redhat.com>
- fixed Tiger, RatsTheme, OldWood, and LCD themes as they had no gtk subdirectory

* Tue Feb 22 2000 Bill Nottingham <notting@redhat.com>
- sanitize various things (permissions, .xv thumbnails)

* Thu Feb 10 2000 Preston Brown <pbrown@redhat.com>
- remove backup files from package

* Tue Jan 25 2000 Owen Taylor <otaylor@redhat.com>
- Update to 0.10 (fixing problem with text in eventboxes
  becoming garbled)

* Wed Sep 15 1999 Elliot Lee <sopwith@redhat.com>
- Misc fixes from DrMike suggestions

* Thu Sep 09 1999 Elliot Lee <sopwith@redhat.com>
- Update to 0.6, etc.

* Wed Apr 14 1999 Michael Fulbright <drmike@redhat.com>
- removed Odo (has issues)

* Fri Apr 9 1999 The Rasterman <raster@redhat.com>
- patched metal theme - fixed handlebox redraw.

* Wed Mar 31 1999 Michael Fulbright <drmike@redhat.com>
- removed some themes that were misbehaving

* Tue Mar 16 1999 Michael Fulbright <drmike@redhat.com>
- removed enlightened themes, seems to be defective

* Thu Mar 11 1999 Michael Fulbright <drmike@redhat.com>
- removed Default theme data, this comes with gtk+ package

* Wed Mar 10 1999 Michael Fulbright <drmike@redhat.com>
- added extra gtk themes

* Thu Mar 04 1999 Michael Fulbright <drmike@redhat.com>
- version 0.5

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- version 0.4

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- version 0.3

* Mon Dec 18 1998 Michael Fulbright <drmike@redhat.com>
- version 0.2

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- rebuild because gtk+ version changed

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- in preparation for GNOME freeze

* Fri Nov 20 1998 Michael Fulbright <drmike@redhat.com>
- First try at a spec file
